<!-- default badges list -->
![](https://img.shields.io/endpoint?url=https://codecentral.devexpress.com/api/v1/VersionRange/199044769/23.2.2%2B)
[![](https://img.shields.io/badge/Open_in_DevExpress_Support_Center-FF7200?style=flat-square&logo=DevExpress&logoColor=white)](https://supportcenter.devexpress.com/ticket/details/T802157)
[![](https://img.shields.io/badge/📖_How_to_use_DevExpress_Examples-e9f6fc?style=flat-square)](https://docs.devexpress.com/GeneralInformation/403183)
<!-- default badges end -->

# Blazor Grid - Add CRUD-related Buttons for the Blazor Grid to the DevExpress Blazor Toolbar

This example adds CRUD-related buttons for the [Blazor Grid](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxGrid) to the DevExpress [Blazor Toolbar](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxToolbar).

![Grid and Toolbar](dxgrid-and-toobar.png)

The DevExpress [ToolbarTemplate](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxGrid.ToolbarTemplate) allows you to add a toolbar to the top edge of our Blazor Grid component. This template includes all necessary styles. As such, you do not need to write your own CSS rules. You can use the [Grid](http://docs.devexpress.com/Blazor/DevExpress.Blazor.GridToolbarTemplateContext.Grid) object in the template's context to access a component instance and implement data shaping operations as Toolbar buttons.

## Files to Review

- [Index.razor](./CS/SampleBlazorApp/Pages/Index.razor)

## Documentation

- [DxGrid](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxGrid)
- [DxGrid.ToolbarTemplate](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxGrid.ToolbarTemplate)
- [DxToolbar](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxToolbar)

## More Examples

- [Blazor Grid - Display a Context Menu](https://github.com/DevExpress-Examples/blazor-dxgrid-show-context-menu)
